curl --request POST \
--url https://api.example.com/api/v1/campaigns/{campaign_id}/launch \
--header 'Authorization: Bearer <token>'{
"campaign": {
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"status": "draft",
"launch_type": "immediate",
"daily_limit": 123,
"sending_window_start": "<string>",
"sending_window_end": "<string>",
"min_interval_seconds": 123,
"timezone": "<string>",
"steps_config": [
{
"step": 2,
"delay_days": 1,
"channel": "email",
"variants": [
{
"label": "<string>",
"weight": 50,
"type": "TEMPLATE",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"ai_personalization_enabled": true,
"track_clicks": false,
"action_type": "connection_request",
"message_template": "<string>"
}
],
"send_days": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"alias_ids": [
"<string>"
],
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_leads": 123,
"processed_leads": 0,
"launch_job_id": "<string>",
"launch_requested_at": "2023-11-07T05:31:56Z",
"launch_error": "<string>",
"system_prompt": "<string>",
"unreviewed_launch_policy": "launch_default",
"paused_reason": "<string>",
"playground_discovery_dismissed_at": "2023-11-07T05:31:56Z"
},
"summary": {
"total_rows": 123,
"launchable_rows": 123,
"warning_count": 123
},
"warnings": []
}Launch a campaign.
Returns campaign data with any warnings and a summary of launch results.
curl --request POST \
--url https://api.example.com/api/v1/campaigns/{campaign_id}/launch \
--header 'Authorization: Bearer <token>'{
"campaign": {
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"status": "draft",
"launch_type": "immediate",
"daily_limit": 123,
"sending_window_start": "<string>",
"sending_window_end": "<string>",
"min_interval_seconds": 123,
"timezone": "<string>",
"steps_config": [
{
"step": 2,
"delay_days": 1,
"channel": "email",
"variants": [
{
"label": "<string>",
"weight": 50,
"type": "TEMPLATE",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"ai_personalization_enabled": true,
"track_clicks": false,
"action_type": "connection_request",
"message_template": "<string>"
}
],
"send_days": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"alias_ids": [
"<string>"
],
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_leads": 123,
"processed_leads": 0,
"launch_job_id": "<string>",
"launch_requested_at": "2023-11-07T05:31:56Z",
"launch_error": "<string>",
"system_prompt": "<string>",
"unreviewed_launch_policy": "launch_default",
"paused_reason": "<string>",
"playground_discovery_dismissed_at": "2023-11-07T05:31:56Z"
},
"summary": {
"total_rows": 123,
"launchable_rows": 123,
"warning_count": 123
},
"warnings": []
}Documentation Index
Fetch the complete documentation index at: https://bavlio.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Response for campaign launch (includes warnings).